/**
 * Feuille de styles des principaux éléments de la page HTML.
 *
 * @author Frédéric GILBERT
 */
body {
	margin: 5px 10px 0;
}

/* FF 1.5 : bordure des combos forcée à 1px */
select {
	border: 1px #a5a5a5 solid;
}

/* spacers à utiliser pour la gestion des floats */
/* spacer utilisé dans le tag bloc level 1*/
p.spr {
	clear: both;
}

/* spacer utilisé dans les tags d'agencement */
div.spr {
	clear: both;
	height: 0;
	overflow: hidden;
}

/* style des iframe */
.ifr {
	width: 100%;
	border: none;
}

/* Le panel (div ou iFrame) de pied de page lorsqu'il est indséré dans la page applicative*/
#pf {
	height: 2em;
	margin-top: 15px;
	overflow: hidden;
}

/** masque un élément*/
.msk {
	display: none;
}

/** force l'affichage de la div */
.unmsk {
	display: block;
}
/** Le bloc d'alerte sur la nécessité de configurer le navigateur IE pour accepter les popup de téléchargement*/
div#dwlAlertBlc {
	padding-left: 1.5em;
	margin-bottom: 1.5em;
	background: url("../images/message/SmallAlertMessage.gif") no-repeat
		left 40%;
	width: 95%;
	float: left;
	clear: left;
}

span#dwlAlertMsg {
	padding-top: 0.1em; /* pour centrer les texte sur le bouton*/
	padding-right: 0.5em;
	float: left;
}

div#loadingApplet {
	padding: 30px 0 0 35%;
	background: url("../images/background/AppletLoadingBG.gif");
	background-color: white;
	float: left;
	width: 100%;
	height: 50px;
	display: block;
}

/*****************************************************************************************/
/*** Spécialisation des CSS de la skin par défaut INTERNET pour InternetV2             ***/
/*****************************************************************************************/

/* !ATTENTION! les URLs d'images de cette spécialisation de skin doivent être préfixées par ../../internet/images/ 
 * car en PROD, la feuille de style utilisée est la feuille de style compilée placée dans /ibp/ate/skin/internet/css
 */

/************************************/
/*** page applicative 		      ***/
/************************************/
body {
	margin-top: 0px;
	/*Annule les marges haut et droite pour le mode intégré(ces marges sont imposées par le portail conteneur)*/
	margin-right: 0px;
	margin-left: 12px;
}

/************************************************************/
/*** page applicative (univers sans télécommande)	      ***/
/************************************************************/
body.withoutControlPanel {
	margin-left: 0px;/*Annule les marges gauches pour les pages applicatives dont l'univers ne nécessite pas de télécommande*/
}

/************************************/
/*** bloc niveau 0     		      ***/
/************************************/
/* bloc niveau 0 - bloc titre */
div.b0 div.btit {
	color: #014495;
}

/************************************/
/*** bloc niveau 1         		  ***/
/************************************/
/* bloc niveau 1 - bloc titre */
/* bloc niveau 1 - bloc filtre */
div.b1 div.btit, div.b1 div.bfil {
	background: #014495;
	background: -webkit-gradient(linear, left top, left bottom, from(#009FE0),
		to(#014495));
	background: -webkit-linear-gradient(#009FE0, #014495);
	background: -o-linear-gradient(#009FE0, #014495);
	background: linear-gradient(#009FE0, #014495);
	color: white;
	padding-bottom: 8px !important;
}

div.b1 div.btit {
	border-radius: 4px 0px 0 0;
}

div.b1 div.bfil {
	border-radius: 0px 4px 0 0;
}

/* bloc niveau 1 - bloc sans filtre */
div.b1 div.btit div.bnofil, div.b1 div.bnofil {
	border-radius: 4px 4px 0 0;
	border-top-right-radius: 4px 4px;
}

/************************************/
/*** bloc niveau 2                ***/
/************************************/
div.b1 div.b2 div.btit {
	background: none !important;
	border-radius: 0 0 0 0;
	padding-bottom: 0 !important;
	padding-top: 0px !important;
	padding-right: 0px;
	padding-left: 0px;
	width: 100%;
	margin-bottom: -1px;
	z-index: 1;
	position: relative;
}

div.b1 div.b2 div.bfil {
	border-radius: 0 0 0 0;
	background: none !important;
	padding-right: 2px;
	padding-bottom: 8px !important;
}

div.b1 div.b2 div.b2titcnt {
	padding-right: 2.6em;
	padding-left: 6px;
	padding-top: 5px;
}

div.b2titcnt {
	color: #014495;
}

div.b1 div.b2 div.b2titfil {
	float: right;
	z-index: 2;
	position: relative;
	margin-top: 0px;
	height: 1.5em;
}

div.b2 div.btit, div.b2 div.bfil {
	color: #009FE0 !important;
}

/************************************/
/*** bloc borderless              ***/
/************************************/
div.bb div.btit {
	/* Le important! est nécessaire pour imposer cette couleur au bloc de niveau 2 car les extension par segment 
	   surcharge le style des titre de bloc de niv1 qui par héritage surcharge également ce style sur le bloc de niveau 2*/
	background: transparent !important;
	color: #009FE0 !important;
	border-radius: 0 0 0 0;
}

/************************************/
/*** Boutons		              ***/
/************************************/

/* Spécification de la visualisation d'un bouton d'action.  
	Héritage de propriété communes pour ses différents état : survolé(.high), sélectionné(.sel), désactivé (-dis), avec image (img, imgva)
*/
.btn, .btn.high, .btn.sel, .btn:hover, .btn:focus {
	border: solid 1px #C93269;
	border-radius: 12px 12px 12px 12px;
	background: #C93269;
	background: -webkit-gradient(linear, left top, left bottom, from(#EA4F89),
		to(#C93269));
	background: -webkit-linear-gradient(#EA4F89, #C93269);
	background: -o-linear-gradient(#EA4F89, #C93269);
	background: linear-gradient(#EA4F89, #C93269);
	/* filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#EA4F89', endColorstr='#C93269',GradientType=0 ); */
	/* IE6-9 */
	padding-bottom: 1px !important;
	padding-top: 1px !important;
}

button.btn .btntxt {
	color: #fff;
}

/* Bouton désactivé*/
.btn.dis, .btn.dis:hover, .btn.dis.high:hover {
	border: solid 1px #666666;
	border-radius: 12px 12px 12px 12px;
	background: #8C8C8C;
	padding-bottom: 1px !important;
	padding-top: 1px !important;
}

.btn.dis span.btntxt, .btn.dis:hover span.btntxt {
	color: #CCCCCC;
	background: transparent;
}

/* action type secondary */
.btn.sec, .btn.sec.high, .btn.sec:hover, .btn.sec:focus {
	border: solid 1px #999999;
	border-radius: 12px 12px 12px 12px;
	background: #FFFFFF;
	/* Couleur par défaut, si pas ge gestion des gradients */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(50%, #FFFFFF),
		to(#999999));
	background: -webkit-linear-gradient(#FFFFFF 50%, #999999);
	background: -o-linear-gradient(#FFFFFF 50%, #999999);
	background: linear-gradient(#FFFFFF 50%, #999999);
}

.btn.sec.sel {
	background: -webkit-gradient(linear, left top, left bottom, from(#999999),
		color-stop(50%, #FFFFFF));
	background: -webkit-linear-gradient(#999999, #FFFFFF 50%);
	background: -o-linear-gradient(#999999, #FFFFFF 50%);
	background: linear-gradient(#999999, #FFFFFF 50%);
}

.btn.sec span.btntxt, .btn.sec:hover span.btntxt {
	color: #6D6B6C;
}

/* action type link */
.btn.link {	
	color: transparent !important; 
	background-color: transparent !important;
	background-image: none !important;
	border-color: transparent !important;	
}

.btn.link span.btntxt {
	color: #2c64b7;
	text-decoration:underline;	
	padding: 0;
}


/************************************/
/*** Champs de saisie  			  ***/
/************************************/

/* Rendu du champ obligatoire */
div.required input, td.required input {
	background-color: #F1EDE7;
}
/* Rendu du textarea obligatoire dans un Tag Layout*/
div.required textarea, td.required textarea {
	background-color: #F1EDE7;
}
/* Rendu des combos obligatoires dans un Tag Layout*/
div.required select, td.required select {
	background-color: #F1EDE7;
}

/****************************************************************/
/*** Date/Calendrier                                          ***/
/****************************************************************/
div#calBody {
	background-color: #0E4096;
}

div#calBody table thead td {
	background-color: #0E4096;
}

div#calBody table tbody td {
	background-color: #ECECEC;
}

div#calBody table tbody td.calday {
	color: #0E4096;
}

div#calBody tbody td.calday_sel, div#calBody tbody td.caldaywe_sel {
	color: #0E4096;
}

div#calBody tbody td.calday_high, div#calBody tbody td.caldaywe_high {
	background-color: #0E4096;
}

/****************************************************************/
/*** Zone d'outils de la page applicative                     ***/
/****************************************************************/
/* Barre d'outils d'une page applicative .     */
/* Doit être alignée sur le titre de niveau 0. */
#appPageToolsArea {
	float: right;
	width: 30%;
	text-align: right;
	margin-top: 5px;
	height: 18px;
}

/* La zone préveant que des champs sont obligatoires */
/* doit être affichée juste sous la barre d'outils.  */
span#mandatoryMessageZone {
	float: none !important;
	witdh: 100%;
	clear: both;
	text-align: right;
	margin-top: 0px;
	margin-bottom: 0px;
	position: relative;
	bottom: 0px;
}

/* Un spacer spécifique à la barre d'outils pour s'assurer        */
/* que l'écart entre le titre et le contenu reste le même qu'avant.*/
div#spcToolsArea {
	clear: both;
}

/* On garde une marge sous le titre de niveau 0 pour s'assurer qu'un écart */
/* sera toujours présent même sans barre d'outils                          */
div.b0 div.btit {
	margin-bottom: 9px;
}

/* On ne veut pas que l'instruction css du dessus s'applique aux titres de niveau 1 */
div.b0 div.b1  div.btit {
	margin-bottom: 0px;
}